This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 542341 - Review Request: mercury - Replacement for the Maven Artifact subsystem
Review Request: mercury - Replacement for the Maven Artifact subsystem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On: 542320 550790
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-29 06:34 EST by Lubomir Rintel
Modified: 2010-02-15 06:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 06:42:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmahut: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-11-29 06:34:20 EST
SPEC: http://v3.sk/~lkundrak/SPECS/mercury.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/mercury-1.0-0.1.alpha6.fc12.src.rpm

Description:

Maven Mercury is a replacement for the Maven Artifact subsystem, and a
complete replacement for the HTTP/HTTPS/DAV/DAVS portions of the existing
transport.

This package only contains Logging, Artifact, External Dependencies and
Event Framework. Transports, Mercury Repositories, Crypto, Metadata, Ant
Tasks, Shared Utilities, Maven resolusion comparison, Wagon provider
and Plexus Component are not provided.
Comment 1 Lubomir Rintel 2009-11-29 06:34:52 EST
Rpmlint silent and happy.
Comment 2 Lubomir Rintel 2009-12-09 13:24:05 EST
This is not ready for review yet; needs to be moved from plexus-lang to plexus-i18n as per bug #542320.
Comment 3 Lubomir Rintel 2009-12-24 15:23:16 EST
Ready for review now:

SPEC: http://v3.sk/~lkundrak/SPECS/mercury.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/mercury-1.0-0.2.alpha6.fc12.src.rpm
Comment 4 Lubomir Rintel 2009-12-24 16:46:49 EST
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1890768

f12, doesn't build in f13 at the time, presumably due to some maven2-plugin-jar breakage; yet to be looked into.
Comment 5 Lubomir Rintel 2009-12-27 07:11:56 EST
Bug which causes raw hide build to fail: #550790
Comment 6 Marek Mahut 2010-02-15 04:56:18 EST
- source files are from upsteam CVS (alpha)
- package meets naming and versioning guidelines
- specfile is properly named, is cleanly written and uses macros consistently
- dist tag is present and build root is correct
- licensing appears to be ok
- builds fine for rawhide

This package looks sane and is approved. Setting fedora-review FLAGA.
Comment 7 Lubomir Rintel 2010-02-15 06:12:21 EST
New Package CVS Request
=======================
Package Name: mercury
Short Description: Replacement for the Maven Artifact subsystem
Owners: lkundrak
Branches: F-11 F-12 EL-5
Comment 8 Huzaifa S. Sidhpurwala 2010-02-15 06:21:11 EST
cvs done
Comment 9 Lubomir Rintel 2010-02-15 06:42:02 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.